groovy.xml

## Class FactorySupport

- java.lang.Object
- - groovy.xml.FactorySupport

-     public class FactorySupport
      extends Object

  Support class for creating XML Factories

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FactorySupport()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DocumentBuilderFactory` | `createDocumentBuilderFactory()`
    `static SAXParserFactory` | `createSaxParserFactory()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FactorySupport

          public FactorySupport()

  - ### Method Detail

    - #### createDocumentBuilderFactory

          public static DocumentBuilderFactory createDocumentBuilderFactory()
                                                                     throws ParserConfigurationException

      Throws:
        `ParserConfigurationException`

    - #### createSaxParserFactory

          public static SAXParserFactory createSaxParserFactory()
                                                         throws ParserConfigurationException

      Throws:
        `ParserConfigurationException`